Public Class ResultsConstants

    Public Class Constants

        Public Class CanvasResultNode

            Public Const NAME As String = "CanvasResult"

            Public Class SubNodes
                Public Const FORMS As String = "Forms"
                Public Const SUBMISSIONS As String = "Submissions"
                Public Const ERROR_NODE As String = "Error"
                Public Const TOTAL_PAGES As String = "TotalPages"
                Public Const CURRENT_PAGE As String = "CurrentPage"
            End Class

        End Class

        Public Class ErrorNode

            Public Class SubNodes
                Public Const ERROR_CODE As String = "ErrorCode"
                Public Const DESCRIPTION As String = "Description"
            End Class

        End Class

        Public Class FormNode

            Public Class Attributes
                Public Const ID As String = "Id"
            End Class

            Public Class SubNodes
                Public Const NAME As String = "Name"
                Public Const STATUS As String = "Status"
                Public Const VERSION As String = "Version"
            End Class

        End Class

        Public Class SubmissionsNode

            Public Class SubNodes
                Public Const SUBMISSION As String = "Submission"
            End Class

        End Class

        Public Class SubmissionNode

            Public Class SubNodes
                Public Const DATE_NODE As String = "Date"
                Public Const USER_NAME As String = "UserName"
                Public Const RESPONSE_ID As String = "ResponseID"
                Public Const SECTIONS As String = "Sections"
                Public Const FORM As String = "Form"
            End Class

        End Class

        Public Class SectionsNode

            Public Class SubNodes
                Public Const SECTION As String = "Section"
            End Class

        End Class

        Public Class SectionNode

            Public Class SubNodes
                Public Const NAME As String = "Name"
                Public Const SCREENS As String = "Screens"
            End Class

        End Class

        Public Class ScreensNode

            Public Class SubNodes
                Public Const SCREEN As String = "Screen"
            End Class

        End Class

        Public Class ScreenNode

            Public Class SubNodes
                Public Const NAME As String = "Name"
                Public Const RESPONSE_GROUPS As String = "ResponseGroups"
                Public Const RESPONSES As String = "Responses"
            End Class

        End Class

        Public Class ResponseNode

            Public Class SubNodes
                Public Const LABEL As String = "Label"
                Public Const VALUE As String = "Value"
                Public Const TYPE As String = "Type"
            End Class

        End Class

        Public Class ResponsesNode

            Public Class SubNodes
                Public Const RESPONSE As String = "Response"
            End Class

        End Class

        Public Class ResponseGroupNode

            Public Class SubNodes
                Public Const RESPONSE As String = "Response"
                Public Const SECTION As String = "Section"
            End Class

        End Class

        Public Class ResponseGroupsNode

            Public Class SubNodes
                Public Const RESPONSE_GROUP As String = "ResponseGroup"
            End Class

        End Class

    End Class

End Class
