Public Class ResultsObjects

    Public Class CanvasForm

        Private m_iFormID As Integer
        Public Property ID() As Integer
            Get
                Return m_iFormID
            End Get
            Set(ByVal value As Integer)
                m_iFormID = value
            End Set
        End Property

        Private m_strFormName As String
        Public Property Name() As String
            Get
                Return m_strFormName
            End Get
            Set(ByVal value As String)
                m_strFormName = value
            End Set
        End Property

        Private m_strFormStatus As String
        Public Property FormStatus() As String
            Get
                Return m_strFormStatus
            End Get
            Set(ByVal value As String)
                m_strFormStatus = value
            End Set
        End Property

        Private m_strVersion As String
        Public Property Version() As String
            Get
                Return m_strVersion
            End Get
            Set(ByVal value As String)
                m_strVersion = value
            End Set
        End Property

        Public Sub New()
        End Sub


        Public Sub New(ByVal FormID As Integer, ByVal FormName As String)
            m_iFormID = FormID
            m_strFormName = FormName
        End Sub

        Public Overrides Function ToString() As String
            Return m_strFormName
        End Function

    End Class

    Public Class CanvasSubmission

        Private m_strRespID As String
        Public Property ResponseID() As String
            Get
                Return m_strRespID
            End Get
            Set(ByVal value As String)
                m_strRespID = value
            End Set
        End Property

        Private m_strUsername As String
        Public Property Username() As String
            Get
                Return m_strUsername
            End Get
            Set(ByVal value As String)
                m_strUsername = value
            End Set
        End Property

        Private m_dtDate As Date
        Public Property UploadDate() As Date
            Get
                Return m_dtDate
            End Get
            Set(ByVal value As Date)
                m_dtDate = value
            End Set
        End Property


        Private m_oForm As CanvasForm
        Public Property Form() As CanvasForm
            Get
                Return m_oForm
            End Get
            Set(ByVal value As CanvasForm)
                m_oForm = value
            End Set
        End Property

        Private m_strDetail As String
        Public Property Detail() As String
            Get
                Return m_strDetail
            End Get
            Set(ByVal value As String)
                m_strDetail = value
            End Set
        End Property

        Private m_alSections As New ArrayList
        Public Property Sections() As ArrayList
            Get
                Return m_alSections
            End Get
            Set(ByVal value As ArrayList)
                m_alSections = value
            End Set
        End Property

        Public Sub New()
        End Sub

        Public Sub New(ByVal RespID As String)
            m_strRespID = RespID
        End Sub

        Public Overrides Function ToString() As String
            Return m_strRespID
        End Function

    End Class

    Public Class CanvasSection

        Private m_strName As String
        Public Property Name() As String
            Get
                Return m_strName
            End Get
            Set(ByVal value As String)
                m_strName = value
            End Set
        End Property


        Private m_alScreens As New ArrayList
        Public Property Screens() As ArrayList
            Get
                Return m_alScreens
            End Get
            Set(ByVal value As ArrayList)
                m_alScreens = value
            End Set
        End Property

    End Class

    Public Class CanvasScreen

        Private m_strName As String
        Public Property Name() As String
            Get
                Return m_strName
            End Get
            Set(ByVal value As String)
                m_strName = value
            End Set
        End Property

        Private m_alResponses As New ArrayList
        Public Property Responses() As ArrayList
            Get
                Return m_alResponses
            End Get
            Set(ByVal value As ArrayList)
                m_alResponses = value
            End Set
        End Property

        Private m_alResponseGroups As New ArrayList
        Public Property ResponseGroups() As ArrayList
            Get
                Return m_alResponseGroups
            End Get
            Set(ByVal value As ArrayList)
                m_alResponseGroups = value
            End Set
        End Property

    End Class

    Public Class CanvasResponse

        Private m_strLabel As String
        Public Property Label() As String
            Get
                Return m_strLabel
            End Get
            Set(ByVal value As String)
                m_strLabel = value
            End Set
        End Property

        Private m_strValue As String
        Public Property Value() As String
            Get
                Return m_strValue
            End Get
            Set(ByVal value As String)
                m_strValue = value
            End Set
        End Property

        Private m_strType As String
        Public Property Type() As String
            Get
                Return m_strType
            End Get
            Set(ByVal value As String)
                m_strType = value
            End Set
        End Property

    End Class

    Public Class CanvasResponseGroup

        Private m_oKeyResponse As CanvasResponse
        Public Property KeyReponse() As CanvasResponse
            Get
                Return m_oKeyResponse
            End Get
            Set(ByVal value As CanvasResponse)
                m_oKeyResponse = value
            End Set
        End Property

        Private m_oSection As CanvasSection
        Public Property Section() As CanvasSection
            Get
                Return m_oSection
            End Get
            Set(ByVal value As CanvasSection)
                m_oSection = value
            End Set
        End Property

    End Class

End Class
